Documents

Get Document File Download Link

Returns a temporary pre-signed URL to download the document file and the moment it expires. Requires the `documents.download` permission in addition to `documents.read`. Every issued link is recorded in the journal.

GET
/api/v2/documents/{document}/files/{file}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

document*integer

Document ID

file*integer

Document file ID

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/documents/1/files/8" \  -H "accept-language: ja"
{  "url": "https://storage.example.com/documents/y/photo.jpg?X-Amz-Expires=300&X-Amz-Signature=abc",  "expireTime": "2026-10-29T12:05:00+00:00"}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}